Simplified.ID API: v2

<back to all web services

GetProofOfDocumentCategories

Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports SimplifiedID.Api2.ServiceModel.Operations.Clients
Imports SimplifiedID.Api2.ServiceModel.Operations.Base
Imports SimplifiedID.Api2.ServiceModel.Types

Namespace Global

    Namespace SimplifiedID.Api2.ServiceModel.Operations.Base

        Public Partial Class ArrayOfResponseError
            Inherits List(Of ResponseError)
        End Class

        <DataContract>
        Public Partial Class BaseRequest
            Implements IBaseRequest
            '''<Summary>
            '''The authentication credentials
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The authentication credentials", IsRequired:=true, ParameterType:="header, body")>
            Public Overridable Property Authentication As Authentication Implements IBaseRequest.Authentication
        End Class

        Public Partial Class BaseResponse
            Implements IBaseDataResponse
            Implements IHasResponseStatus
            '''<Summary>
            '''The status of the response
            '''</Summary>
            <ApiMember(Description:="The status of the response")>
            Public Overridable Property ResponseStatus As ResponseStatus Implements IHasResponseStatus.ResponseStatus
        End Class

        <DataContract>
        Public Partial Class ResponseError
            <DataMember(Order:=1)>
            Public Overridable Property ErrorCode As String

            <DataMember(Order:=2)>
            Public Overridable Property FieldName As String

            <DataMember(Order:=3)>
            Public Overridable Property Message As String

            <DataMember(Order:=4)>
            Public Overridable Property Meta As Dictionary(Of String, String)
        End Class

        <DataContract>
        Public Partial Class ResponseStatus
            <DataMember(Order:=1)>
            Public Overridable Property ErrorCode As String

            <DataMember(Order:=2)>
            Public Overridable Property Message As String

            <DataMember(Order:=3)>
            Public Overridable Property StackTrace As String

            <DataMember(Order:=4)>
            Public Overridable Property Errors As ArrayOfResponseError

            <DataMember(Order:=5)>
            Public Overridable Property Meta As Dictionary(Of String, String)
        End Class
    End Namespace

    Namespace SimplifiedID.Api2.ServiceModel.Operations.Clients

        <DataContract>
        Public Partial Class GetProofOfDocumentCategories
            Inherits BaseRequest
            <DataMember>
            Public Overridable Property OnlyDefaults As Boolean
        End Class

        Public Partial Class GetProofOfDocumentCategoriesData
            Inherits BaseResponse
            Public Overridable Property ProofOfDocumentCategories As ArrayOfProofOfDocumentCategories
        End Class

        <DataContract>
        Public Partial Class GetProofOfDocumentCategoriesResponse
            <DataMember>
            Public Overridable Property Data As GetProofOfDocumentCategoriesData
        End Class
    End Namespace

    Namespace SimplifiedID.Api2.ServiceModel.Types

        Public Partial Class ArrayOfProofOfDocumentCategories
            Inherits List(Of ProofOfDocumentCategory)
        End Class

        Public Partial Class ArrayOfProofOfDocuments
            Inherits List(Of ProofOfDocument)
        End Class

        <DataContract>
        Public Partial Class Authentication
            '''<Summary>
            '''The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired:=true, ParameterType:="header, body")>
            Public Overridable Property ApiUserId As String

            '''<Summary>
            '''The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired:=true, ParameterType:="header, body")>
            Public Overridable Property ApiUserKey As String

            '''<Summary>
            '''The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType:="header, body")>
            Public Overridable Property UserId As String
        End Class

        Public Partial Class ProofOfDocument
            '''<Summary>
            '''The ID of the ProofOfDocument
            '''</Summary>
            <ApiMember(Description:="The ID of the ProofOfDocument", IsRequired:=true)>
            Public Overridable Property Id As Integer

            '''<Summary>
            '''The name of the ProofOfDocument
            '''</Summary>
            <ApiMember(Description:="The name of the ProofOfDocument", IsRequired:=true)>
            Public Overridable Property Name As String
        End Class

        Public Partial Class ProofOfDocumentCategory
            '''<Summary>
            '''The ID of the ProofOfDocumentCategory
            '''</Summary>
            <ApiMember(Description:="The ID of the ProofOfDocumentCategory", IsRequired:=true)>
            Public Overridable Property Id As Integer

            '''<Summary>
            '''The category or subject that requires proof (e.g., 'Name', 'Address', 'Right to work')
            '''</Summary>
            <ApiMember(Description:="The category or subject that requires proof (e.g., 'Name', 'Address', 'Right to work')", IsRequired:=true)>
            Public Overridable Property ProofOf As String

            '''<Summary>
            '''The documents that can be used to provide proof for the specified category.
            '''</Summary>
            <ApiMember(Description:="The documents that can be used to provide proof for the specified category.", IsRequired:=true)>
            Public Overridable Property ProofOfDocuments As ArrayOfProofOfDocuments
        End Class
    End Namespace
End Namespace

VB.NET GetProofOfDocumentCategories DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .soap11 suffix or ?format=soap11

HTTP + SOAP11

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /soap11 HTTP/1.1 
Host: api.sanctionssearch.com 
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: GetProofOfDocumentCategories

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>

<GetProofOfDocumentCategories xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Authentication>
    <ApiUserId>String</ApiUserId>
    <ApiUserKey>String</ApiUserKey>
    <UserId>String</UserId>
  </Authentication>
  <OnlyDefaults>false</OnlyDefaults>
</GetProofOfDocumentCategories>

</soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>

<GetProofOfDocumentCategoriesResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Data>
    <ResponseStatus>
      <ErrorCode>String</ErrorCode>
      <Message>String</Message>
      <StackTrace>String</StackTrace>
      <Errors>
        <ResponseError>
          <ErrorCode>String</ErrorCode>
          <FieldName>String</FieldName>
          <Message>String</Message>
          <Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
            <d6p1:KeyValueOfstringstring>
              <d6p1:Key>String</d6p1:Key>
              <d6p1:Value>String</d6p1:Value>
            </d6p1:KeyValueOfstringstring>
          </Meta>
        </ResponseError>
      </Errors>
      <Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>String</d4p1:Key>
          <d4p1:Value>String</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </Meta>
    </ResponseStatus>
    <ProofOfDocumentCategories>
      <CategoryId>
        <Id>0</Id>
        <ProofOf>String</ProofOf>
        <ProofOfDocuments>
          <DocumentId>
            <Id>0</Id>
            <Name>String</Name>
          </DocumentId>
        </ProofOfDocuments>
      </CategoryId>
    </ProofOfDocumentCategories>
  </Data>
</GetProofOfDocumentCategoriesResponse>

</soap:Body>
</soap:Envelope>